.m-box-mobile{
    display: none;
}
@media (min-width: 1199px) {
    /* 表示屏幕宽度至少为 1100px 时，内部的 CSS 规则才会生效 */
    .width1200 {
       max-width:1200px;
    }
    .margin{
        margin: 30px auto;
    }
    .top {
        background-color: #f9f9f9;
        height:50px;
    }
    /* lang 开始*/
    .menu{
      display: inline-block;
    }
    
    .menu-dropdown {
      display: none;       /* 默认隐藏 */
      position: absolute;
      top: 100%;          /* 紧贴在标题下方 */
      left: 0px;
      min-width: 130px;
      background: white;
      box-shadow: 0 2px 5px rgba(0,0,0,0.1);
      border: 1px solid #ddd;
      z-index: 1000;
    }
    .menu-dropdown-item{
        justify-content: left;
        height: 30px;
    }
    .menu-dropdown-item img, .menu-title img{
        width: 20px;
    }
    
    /* 核心样式：鼠标悬停时显示下拉菜单 */
    .menu-title:hover + .menu-dropdown,
    .menu-dropdown:hover {
      display: block;
    }
    /* lang 结束*/
    
    
    
    /* logo和导航栏开始 */
    .top-menu-title{
        margin-right: 50px;
    }
    .top-menu-title:hover{
        color: #008445;
        padding-bottom:10px;
        border-bottom: 3px solid #008445;
    }
    .sticky-element {
      position: -webkit-sticky; /* Safari 兼容 */
      position: sticky;
      top: 0; /* 距离视口顶部 0px 时固定 */
      z-index: 100; /* 避免被其他元素遮挡 */
    }
    /* logo和导航栏结束 */
    
    
    
    .t-center,.logo-center, .center-box {
        width: 1200px;
        font-size: 12px;
    }
    .transition-custom:hover{
        box-shadow: 0 10px 25px rgba(0, 0, 0, 0.2);
    }
    .title-bs:hover, .m-box-r-item:hover{
        color:var(--main-color);
    }
    .m-box-r-item{
        max-width: calc(100% / 6);
    }
    
    /* 第一板块开始 */
    .first-box{
        padding:150px 0;
        background-color: #E0F2FE;
    }
    .first-img{
        width: 85%;
        aspect-ratio: 512 / 341;
    }
    .fi-title-1{
        font-size: 40px;
    }
    .fi-description{
        line-height: 25px;
    }
    .fi-item-1{
        flex:0 0 60%;
        justify-content: center;
        flex-direction: column; 
    }
    .fi-item-2{
        flex:0 0 40%;
    }
    /* 第一板块结束 */
    
    /* 产品展示开始 */
    .product-box{
        padding:50px;
        width:100%;
    }
    .product-center{
      flex-wrap: wrap;
      justify-content: space-between;
      gap: clamp(10px, 3vw, 20px); 
    }
    .pr-t{
        font-weight: bold;
        font-size: 30px;
    }
    .pr-t-2{
        padding:20px 0 50px 0;
        font-size:18px;
    }
    .product-box-item{
        width: calc(33.333% - 14px);
        padding: 15px;
        border: 1px solid #008445;
    }
    .product-box-item img{
        width: 100%;
        aspect-ratio: 339 / 192; 
    }
    .product-item-txt{
        padding:20px 0 0 0;
    }
    .pr-description{
        line-height:25px;
    }
    .paragraph {
        text-align: justify;      /* 让除最后一行外的所有行两端对齐 */
        text-align-last: left;    /* 强制最后一行左对齐（如果需要覆盖某些浏览器默认行为） */
    }
    .pro-btn{
        border:3px solid #008445;
        padding: 10px 15px;
        color: #008445;
        margin: 50px 0 20px 0;
    }
    /* 产品展示结束 */
    
    
    
    /* 解决方案开始 */
    .cc-box{
        padding: 70px 0 70px 0;
    }
    .cc-center{
        gap: clamp(20px, 3vw, 45px); 
    }
    .cc-box-item{
        flex:1;
        flex-direction: column; 
    }
    .cc-box-item-1{
        gap: 10px;
        justify-content: flex-start;
        padding: 25px;
        margin-bottom: 30px;
    }
    .cc-item-2{
        padding: 30px;
        margin-bottom: 30px;
    }
    .cc-item-2-1{
        gap: 10px;
        justify-content: flex-start;
        margin-bottom: 15px;
    }
    .cc-description{
        line-height: 20px;
    }
    .cc-title{
        margin-bottom: 10px;
    }
    .cc-1-img{
        width:30px;
        height:30px;
    }
    .cc-1-img-1{
        background-color: #dbeafe;
    }
    .cc-1-img-2{
        background-color: #dcfce7;
    }
    .cc-1-img-3{
        background-color: #FEE2E2;
    }
    .cc-2-img{
        width:20px;
        height:20px;
    }
    .cc-item-txt{
        padding:15px;
        background-color: #EFF6FF;
        color: #1E40AF;
    }
    .cc-item-txt-2{
        color:#1D4ED8;
    }
    /* 解决方案结束 */
    
    
    
    
    /* 案例展示开始 */
    .anli-box{
        padding:50px;
        width:100%;
    }
    .anli-center{
      flex-wrap: wrap;
      justify-content: space-between;
      gap: clamp(10px, 3vw, 30px); 
    }
    .anli-box-item{
        width: calc(50% - 15px);
    }
    .anli-box-item img{
        width: 100%;
        aspect-ratio: 598 / 256; 
    }
    .anli-item-txt{
        padding:20px;
        flex-direction: column;
    }
    .anli-item-1-box{
        padding:5px 10px;
    }
    .anli-item-1-box-1{
        background-color: #DBEAFE;
        color: #1E40AF;
    }
    .anli-item-1-box-2{
        background-color: #DCFCE7;
        color: #166534;
    }
    .anli-item-1-box-3{
        background-color: #F3E8FF;
        color: #6B21A8;
    }
    .anli-item-1-box-0{
        background-color: #FEE2E2;
        color: #991B1B;
    }
    .anli-item-1-box-5{
        background-color: #CCFBF1;
        color: #115E59;
    }
    .anli-item-1-box-4{
        background-color: #FFEDD5;
        color: #9A3412;
    }
    .anli-description{
        line-height:20px;
        height:60px;
    }
    .anli-item-2{
        bottom:0;
    }
    /* 案例展示结束 */
    
    
    
    
    /* 关于我们开始 */
    .about-box{
        padding:50px;
        width:100%;
        height: 480px;
    }
    .about-center{
         justify-content: space-between;
         gap: clamp(10px, 3vw, 30px); 
    }
    .a-title-1{
        font-size: 36px;
        margin: 0;
    }
    .a-title-box{
        padding-top:50px;
       width:70%;
    }
    .ab-description{
        line-height:30px;
    }
    .about-box-item{
        gap: clamp(10px, 3vw, 20px); 
    }
    .about-item{
        height:116px;
    }
    /* 关于我们结束 */
    
    
    
    
    /* 合作伙伴开始 */
    .partner-box{
        padding:50px;
        width:100%;
        height: 480px;
    }
    .partner-center{
        justify-content: space-between;
        flex-wrap: wrap;
        gap: clamp(10px, 1vw, 20px); 
    }
    .pa-box{
        flex:1;
        height:130px;
    }
    .pa-title-1{
        margin: 0 0 50px 0;
    }
    /* 合作伙伴结束 */
    
    
    
    
    /* 行业新闻开始 */
    .news-box{
        padding:50px;
        width:100%;
        background:#F9FAFB;
    }
    .news-center{
        flex-wrap: wrap;
        justify-content: space-between;
        gap: clamp(10px, 3vw, 20px); 
      }
    .news-box-item{
        width: calc(33.333% - 15px);
    }
    .news-box-item img{
        width: 100%;
        aspect-ratio: 387 / 192; 
    } 
    /* 行业新闻结束 */
    
    
    /* 询盘信息开始 */
    .message-box{
        padding:50px;
        width:100%;
    }
    .message-flex{
        gap: clamp(10px, 3vw, 20px); 
    }
    .me-title-1{
        font-size: 20px;
        margin: 0 0 20px 0;
    }
    .me-de{
        margin-bottom:20px;
    }
    .me-box{
        justify-content: space-between;
    }
    .register-container {
        background-color: #fff;
        padding: 30px;
        box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    }
    .me-box-item{
        flex:1;
        flex-direction: column; 
    }
    .me-item-2{
        padding:25px;
    }
    /* 询盘信息结束 */
    
    
    
    
    /* footer开始 */
    .footer-menu-title{
        padding-right:30px;
    }
    .fo-box{
        border-bottom: 1px solid #374151;
    }
    .fo-item-b{
        margin-top:20px;
    }
    .fo-fx1{
        flex: 0 0 260px;
    }
    /* footer结束 */
}
@media (min-width: 768px) and (max-width: 1199px) {
    /* 表示屏幕宽度至少为 1100px 时，内部的 CSS 规则才会生效 */
    .width1200 {
       max-width:768px;
    }
    .margin{
        margin: 30px auto;
    }
    .top {
        background-color: #f9f9f9;
        height:50px;
    }
    /* lang 开始*/
    .menu{
      display: inline-block;
    }
    
    .menu-dropdown {
      display: none;       /* 默认隐藏 */
      position: absolute;
      top: 100%;          /* 紧贴在标题下方 */
      left: 0;
      min-width: 130px;
      background: white;
      box-shadow: 0 2px 5px rgba(0,0,0,0.1);
      border: 1px solid #ddd;
      z-index: 1000;
    }
    .menu-dropdown-item{
        justify-content: left;
        height: 30px;
    }
    .menu-dropdown-item img, .menu-title img{
        width: 20px;
    }
    
    /* 核心样式：鼠标悬停时显示下拉菜单 */
    .menu-title:hover + .menu-dropdown,
    .menu-dropdown:hover {
      display: block;
    }
    /* lang 结束*/
    
    
    
    /* logo和导航栏开始 */
    .top-menu-title{
        margin-right: 15px;
    }
    .top-menu-title:hover{
        color: #008445;
        padding-bottom:10px;
        border-bottom: 3px solid #008445;
    }
    .sticky-element {
      position: -webkit-sticky; /* Safari 兼容 */
      position: sticky;
      top: 0; /* 距离视口顶部 0px 时固定 */
      z-index: 100; /* 避免被其他元素遮挡 */
    }
    /* logo和导航栏结束 */
    
    
    
    .t-center,.logo-center, .center-box {
        width: 768px;
        font-size: 12px;
    }
    .m-box-r-item{
        max-width: calc(100% / 6);
    }
    
    /* 第一板块开始 */
    .first-box{
        padding:150px 0;
        background-color: #E0F2FE;
    }
    .first-img{
        width: 85%;
        aspect-ratio: 512 / 341;
    }
    .fi-title-1{
        font-size: 40px;
    }
    .fi-description{
        line-height: 25px;
    }
    .fi-item-1{
        flex:0 0 60%;
        justify-content: center;
        flex-direction: column; 
    }
    .fi-item-2{
        flex:0 0 40%;
    }
    /* 第一板块结束 */
    
    /* 产品展示开始 */
    .product-box{
        padding:50px;
        width:100%;
    }
    .product-center{
        flex-wrap: wrap;
        justify-content: space-between;
        gap: clamp(10px, 3vw, 20px); 
    }
    .pr-t{
        font-weight: bold;
        font-size: 30px;
        padding:0 0 30px 0;
    }
    .product-box-item{
        width: calc(33.333% - 14px);
        padding: 15px;
        border: 1px solid #008445;
    }
    .product-box-item img{
        width: 100%;
        aspect-ratio: 339 / 192; 
    }
    .pr-description{
        line-height:25px;
    }
    .paragraph {
        text-align: justify;      /* 让除最后一行外的所有行两端对齐 */
        text-align-last: left;    /* 强制最后一行左对齐（如果需要覆盖某些浏览器默认行为） */
    }
    .pr-t-2{
        padding:20px 0 50px 0;
        font-size:18px;
    }
    .pro-btn{
        border:3px solid #008445;
        padding: 10px 15px;
        color: #008445;
        margin: 50px 0 20px 0;
    }
    /* 产品展示结束 */
    
    
    
   /* 解决方案开始 */
   .cc-box{
    padding: 70px 0 70px 0;
}
.cc-center{
    gap: clamp(20px, 3vw, 45px); 
}
.cc-box-item{
    flex:1;
    flex-direction: column; 
}
.cc-box-item-1{
    gap: 10px;
    justify-content: flex-start;
    padding: 25px;
    margin-bottom: 30px;
}
.cc-item-2{
    padding: 30px;
    margin-bottom: 30px;
}
.cc-item-2-1{
    gap: 10px;
    justify-content: flex-start;
    margin-bottom: 15px;
}
.cc-description{
    line-height: 20px;
}
.cc-title{
    margin-bottom: 10px;
}
.cc-1-img{
    width:40px;
    height:40px;
}
.cc-2-img{
    width:20px;
    height:20px;
}
.cc-item-txt{
    padding:15px;
    background-color: #EFF6FF;
    color: #1E40AF;
}
.cc-item-txt-2{
    color:#1D4ED8;
}
/* 解决方案结束 */
    
    
    
    
    /* 案例展示开始 */
    .anli-box{
        padding:50px;
        width:100%;
    }
    .anli-center{
      flex-wrap: wrap;
      justify-content: space-between;
        gap: clamp(10px, 3vw, 30px); 
    }
    .anli-box-item{
        width: calc(50% - 15px);
    }
    .anli-box-item img{
        width: 100%;
        aspect-ratio: 598 / 256; 
    }
    .anli-item-txt{
        padding:20px;
        flex-direction: column;
    }
    .anli-item-1-box{
        padding:5px 10px;
    }
    .anli-item-1-box-1{
        background-color: #DBEAFE;
        color: #1E40AF;
    }
    .anli-item-1-box-2{
        background-color: #DCFCE7;
        color: #166534;
    }
    .anli-item-1-box-3{
        background-color: #F3E8FF;
        color: #6B21A8;
    }
    .anli-item-1-box-0{
        background-color: #FEE2E2;
        color: #991B1B;
    }
    .anli-item-1-box-5{
        background-color: #CCFBF1;
        color: #115E59;
    }
    .anli-item-1-box-4{
        background-color: #FFEDD5;
        color: #9A3412;
    }
    .anli-description{
        line-height:20px;
        height:60px;
    }
    .anli-item-2{
        bottom:0;
    }
    /* 案例展示结束 */
    
    
    
    
    /* 关于我们开始 */
    .about-box{
        padding:50px;
        width:100%;
        height: 500px;
    }
    .about-center{
         justify-content: space-between;
         gap: clamp(10px, 3vw, 30px); 
    }
    .a-title-1{
        font-size: 36px;
        margin: 0;
    }
    .a-title-box{
        padding-top:50px;
       width:90%;
    }
    .ab-description{
        line-height:30px;
    }
    .about-box-item{
        gap: clamp(10px, 3vw, 20px); 
    }
    .about-item{
        height:116px;
    }
    /* 关于我们结束 */
    
    
    
    
    /* 合作伙伴开始 */
    .partner-box{
        padding:50px;
        width:100%;
        height: 550px;
    }
    .partner-center{
        justify-content: space-between;
        flex-wrap: wrap;
        gap: clamp(10px, 1vw, 20px); 
    }
    .pa-box{
        flex:1;
        height:110px;
    }
    .pa-box img{
        width:110;
    }
    .pa-title-1{
        margin: 0 0 50px 0;
    }
    /* 合作伙伴结束 */
    
    
    
    
    /* 行业新闻开始 */
    .news-box{
        padding:50px;
        width:100%;
        background:#F9FAFB;
    }
    .news-center{
        flex-wrap: wrap;
        justify-content: space-between;
        gap: clamp(10px, 3vw, 20px); 
      }
    .news-box-item{
        width: calc(33.333% - 15px);
    }
    .news-box-item img{
        width: 100%;
        aspect-ratio: 387 / 192; 
    } 
    /* 行业新闻结束 */
    
    
   /* 询盘信息开始 */
   .message-box{
        padding:50px;
        width:100%;
    }
    .message-flex{
        gap: clamp(10px, 3vw, 20px); 
    }
    .me-title-1{
        font-size: 20px;
        margin: 0 0 20px 0;
    }
    .me-de{
        margin-bottom:20px;
    }
    .me-box{
        justify-content: space-between;
    }
    .register-container {
        background-color: #fff;
        padding: 30px;
        box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    }
    .me-box-item{
        flex:1;
        flex-direction: column; 
    }
    .me-item-2{
        padding:25px;
    }
    /* 询盘信息结束 */
    
    
    
    
    /* footer开始 */
    .footer-menu-title{
        padding-right:30px;
    }
    .fo-box{
        border-bottom: 1px solid #374151;
    }
    .fo-item-b{
        margin-top:20px;
    }
    .fo-fx1{
        flex: 0 0 260px;
    }
    /* footer结束 */
}
